package com.cool.store.mapper;

import com.cool.store.dto.content.ContentQueryListDto;
import com.cool.store.entity.HyContentInfoDO;
import com.cool.store.vo.HyContentInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangchenbiao
 * @date 2023-05-29 03:50
 */
public interface HyContentInfoMapper {
    /**
     *
     * 默认插入方法，只会给有值的字段赋值
	 * 会对传进来的字段做判空处理，如果字段为空，则使用数据库默认字段或者null
     * dateTime:2023-05-29 03:50
     */
    int insertSelective(@Param("record") HyContentInfoDO record);

    /**
     *
     * 默认更新方法，根据主键更新，不会把null值更新到数据库，避免覆盖之前有值的
     * dateTime:2023-05-29 03:50
     */
    int updateByPrimaryKeySelective(@Param("record") HyContentInfoDO record);

    /**
     * 删除方法
     * @param contentId
     */
    void deleteSelective(@Param("contentId") String contentId);

    /**
     * 分页查询动态列表
     * 根据传入参数匹配
     */
    List<HyContentInfoVO> queryContentList(ContentQueryListDto dto);


    /**
     * C 端使用的动态查询
     */
    List<HyContentInfoVO> queryContentListForC(ContentQueryListDto dto);

    /**
     * 根据contentId查询动态详情
     */
    HyContentInfoDO queryContentInfo(@Param("contentId") String contentId);

    /**
     * 标题是否重复
     */
    Boolean whetherTitleDuplicated(@Param("contentTitle") String contentTitle);

    /**
     * 查询动态标题
     */
    List<String> queryTitles();
}